
function musicalityDidPlayPause(e) {
	MusicController.didPlayPause();
}


function musicalityDidSkipForward(e) {
	MusicController.didSkipForward();
}


function musicalityDidSkipBackward(e) {
	MusicController.didSkipBackward();
}


function musicalityDidLikeSong(e) {
	MusicController.didLikeSong();
}


function musicalityDidDislikeSong(e) {
	MusicController.didDislikeSong();
}


function musicalityClick(el) {
	if (el) {
		var event = document.createEvent("MouseEvents");
		event.initMouseEvent("click", true, true, window,
							 0, 0, 0, 0, 0,
							 false, false, false, false,
							 0, null);
		el.dispatchEvent(event);
	}
}


function musicalityDecode(value) {
	if (value == null || value.length == 0) return "";
	var e = document.createElement('div');
	e.innerHTML = value;
	return e.childNodes[0].nodeValue;
}


function musicalityGetElement(path) {
	var el = document;
	
	var parts = path.split(" ");
	for (var i = 0; el != null && i < parts.length; ++i) {
		
		var part = parts[i];
		if (part[0] == '#') {
			el = el.getElementById(part.substring(1));
		}
		else if (part[0] == '.') {
			el = el.getElementsByClassName(part.substring(1))[0];
		}
		else {
			el = el.getElementsByTagName(part)[0];
		}
	}
	
	return el;
}


function musicalityHasClass(el, className) {
	return (' ' + el.className + ' ').indexOf(' ' + className + ' ') !== -1;
}


function musicalityValueOf(path) {
	var el = musicalityGetElement(path);
	if (el ) {
		return el.childNodes[0].nodeValue;
	}
	else {
		return null;
	}
}
